How to troubleshoot the upgrade/migration issue of Confluence to 7.19.18 and above versions?

This article explains how to resolve the issue encountered with the Polls for Confluence app after you upgrade/migrate to Confluence version 7.19.18 and above.

  1. Navigate to the Confluence server installed location at this path: <confluencePath>/atlassian-confluence-7.19.18/confluence/WEB-INF/classes/velocity.properties

  2. Do the following changes to the file velocity.properties

    1. Go to introspector.allowlist.classes.

    2. Add com.opensymphony.xwork.util.XWorkList to the existing values on a new line.

      Example reference:

      java.io.ObjectInputValidation,\ com.opensymphony.xwork.util.XWorkList,\ net.sf.hibernate.proxy.HibernateProxy
  3. Stop and restart the server.

This workaround is required only for 7.x versions.